org.gitana.platform.services.transfer

## Class TransferImport

- java.lang.Object
- - org.gitana.platform.services.transfer.TransferImport

    public class TransferImport
    extends Object

Author:
  uzi

### Constructor Summary

Constructors
Constructor and Description
`TransferImport(TransferDependencyChain sources, TransferDependencyChain targets)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getSourceId()`
`TransferDependencyChain` `getSources()`
`String` `getTargetId()`
`TransferDependencyChain` `getTargets()`
`String` `getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransferImport

    public TransferImport(TransferDependencyChain sources,
                          TransferDependencyChain targets)

### Method Detail

#### getType

    public String getType()

#### getSources

    public TransferDependencyChain getSources()

#### getTargets

    public TransferDependencyChain getTargets()

#### getSourceId

    public String getSourceId()

#### getTargetId

    public String getTargetId()